Subject: Re: bug#13598: 24.3.50; url-http.el doesn't correctly parse headers when they are sent line-by-line

From: Glenn Morris <[email-masked]>
Date: Wed, 13 Feb 2013 14:42:35 -0500

Bastien wrote:

>> i'm positive now, that changing the regex to "^\r+$" is the way to go.

I don't understand how this can be correct. What is this supposed to be
matching?

http://www.w3.org/Protocols/rfc2616/rfc2616-sec19.html#sec19.3

   The line terminator for message-header fields is the sequence CRLF.
   However, we recommend that applications, when parsing such headers,
   recognize a single LF as a line terminator and ignore the leading CR.